Axis2/C: http chunked stream

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http chunked stream
[http transport]

## Files
file | axutil_http_chunked_stream.h
| axis2 HTTP Chunked Stream

## Classes
struct | axis2_callback_info
## Typedefs
typedef struct axutil_http_chunked_stream | axutil_http_chunked_stream_t
typedef struct axis2_callback_info | axis2_callback_info_t
## Functions
AXIS2_EXTERN int | axutil_http_chunked_stream_read (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env, void *buffer, size_t count)
AXIS2_EXTERN int | axutil_http_chunked_stream_write (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env, const void *buffer, size_t count)
AXIS2_EXTERN int | axutil_http_chunked_stream_get_current_chunk_size (const axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_http_chunked_stream_write_last_chunk (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_http_chunked_stream_free (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)
AXIS2_EXTERN axutil_http_chunked_stream_t * | axutil_http_chunked_stream_create (const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axis2_bool_t | axutil_http_chunked_stream_get_end_of_chunks (axutil_http_chunked_stream_t *chunked_stream, const axutil_env_t *env)

## Detailed Description

Description

## Typedef Documentation

typedef struct axutil_http_chunked_stream axutil_http_chunked_stream_t

Type name for struct axutil_http_chunked_stream

## Function Documentation

AXIS2_EXTERN axutil_http_chunked_stream_t* axutil_http_chunked_stream_create | ( | const axutil_env_t * | env,
|  | axutil_stream_t * | stream |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | stream | pointer to stream

AXIS2_EXTERN void axutil_http_chunked_stream_free | ( | axutil_http_chunked_stream_t * | chunked_stream,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | chunked_stream | pointer to chunked stream
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN int axutil_http_chunked_stream_get_current_chunk_size | ( | const axutil_http_chunked_stream_t * | chunked_stream,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | chunked_stream | pointer to chunked stream
  | env | pointer to environment struct

AXIS2_EXTERN int axutil_http_chunked_stream_read | ( | axutil_http_chunked_stream_t * | chunked_stream,
|  | const axutil_env_t * | env,
|  | void * | buffer,
|  | size_t | count |
| ) |  |  |

Parameters:

  | chunked_stream | pointer to chunked stream
  | env | pointer to environment struct
  | buffer |
  | count |

AXIS2_EXTERN int axutil_http_chunked_stream_write | ( | axutil_http_chunked_stream_t * | chunked_stream,
|  | const axutil_env_t * | env,
|  | const void * | buffer,
|  | size_t | count |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | buffer |
  | count |

AXIS2_EXTERN axis2_status_t axutil_http_chunked_stream_write_last_chunk | ( | axutil_http_chunked_stream_t * | chunked_stream,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | chunked_stream | pointer to chunked stream
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE